TorqueScript Reference

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RenderProxy Class Reference

Inherits SimObject.

## Public Member Functions
String | getAnimation ()
Integer | getAnimationFrame ()
Float | getAnimationTime ()
Float | getAnimationTimeScale ()
String | getImage ()
Integer | getImageFrame ()
Boolean | getIsAnimationFinished ()
Boolean | isStaticFrameProvider ()
void | pauseAnimation (bool enable)
Boolean | playAnimation (string animationAssetId)
void | setAnimationFrame (int frame)
void | setAnimationTimeScale (float timeScale)
Boolean | setImage (string imageAssetId, [int frame])
Boolean | setImageFrame (int frame)
void | stopAnimation ()
Public Member Functions inherited from SimObject
Integer | clone ([copyDynamicFields=false]?)
void | delete ()
Integer | getId ()
void | setName (newName)
String | getName ()
String | getClassNamespace ()
String | getSuperClassNamespace ()
void | setClassNamespace (nameSpace)
void | setSuperClassNamespace ()
Boolean | isMethod (string methodName)
String | call (methodName, [args]*)
void | dumpClassHierarchy ()
void | dump ()
Boolean | isMemberOfClass (string classname)
String | getClassName ()
String | getFieldValue (fieldName)
Boolean | setFieldValue (fieldName, value)
Integer | getDynamicFieldCount ()
String | getDynamicField (index)
Integer | getFieldCount ()
String | getField (int index)
void | setProgenitorFile (file)
String | getProgenitorFile ()
Integer | getType ()
String | getFieldType (fieldName)
void | setInternalName (string InternalName)
String | getInternalName ()
Boolean | isChildOfGroup (groupID)
Integer | getGroup ()
Boolean | startTimer (callbackFunction, float timePeriod, [repeat]?)
void | stopTimer ()
Boolean | isTimerActive ()
Integer | schedule (time, command, [arg]*)
Boolean | save (fileName, [selectedOnly]?)
void | addFieldFilter (fieldName)
void | removeFieldFilter (fieldName)

## Member Function Documentation

String getAnimation | ( |  | ) |

Gets current animation asset Id.

Returns
  (string AnimationAssetId) The current animation asset Id.

Integer getAnimationFrame | ( |  | ) |

Gets current animation frame.

Returns
  (int frame) The current animation frame

Float getAnimationTime | ( |  | ) |

Gets current animation time.

Returns
  (float time) The current animation time

Float getAnimationTimeScale | ( |  | ) |

Get the animation time scale for this render-proxy.

Returns
  (float) Returns the animation time scale for this render-proxy.

String getImage | ( |  | ) |

Gets current image asset Id.

Returns
  (string imageAssetId) The image being displayed

Integer getImageFrame | ( |  | ) |

Gets current image Frame.

Returns
  (int frame) The frame currently being displayed

Boolean getIsAnimationFinished | ( |  | ) |

Checks animation status.

Returns
  (bool finished) Whether or not the animation is finished

Boolean isStaticFrameProvider | ( |  | ) |

Gets whether the render-proxy is in static or dynamic (animated)mode.

Returns
  Returns whether the render-proxy is in static or dynamic (animated)mode.

void pauseAnimation | ( | bool | enable | ) |

Pause the current animation

Parameters

  enable | If true, pause the animation. If false, continue animating

Boolean playAnimation | ( | string | animationAssetId | ) |

Plays an animation.

Parameters

  animationAssetId | The animation asset Id to play

Returns
  Returns true on success.

void setAnimationFrame | ( | int | frame | ) |

Sets the current animation frame.

Parameters

  frame | Which frame of the animation to display

Returns
  No return value.

void setAnimationTimeScale | ( | float | timeScale | ) |

Change the rate of animation.

Parameters

  timeScale | Value which will scale the frame animation speed. 1 by default.

Boolean setImage | ( | string | imageAssetId | ) |

Sets imageAssetId/Frame.

Parameters

  imageAssetId | The image asset Id to display
  frame | The frame of the image to display

Returns
  Returns true on success.

Boolean setImageFrame | ( | int | frame | ) |

Sets image frame.

Parameters

  frame | The frame to display

Returns
  Returns true on success.

void stopAnimation | ( |  | ) |

Stop the current animation

Returns
  No return value.